> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.middesk.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.middesk.com/_mcp/server.

# List policy results for a business

GET https://api.middesk.com/v1/businesses/{business_id}/policy_results

Returns policy results for enabled policy versions only

Reference: https://docs.middesk.com/api-reference/business-verification/policy-results/list-business-policy-results

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `business_id` (string, required) — Business ID

## Response

### 200

multiple policy results with different versions

- `object` (string, required)
- `data` (list of PolicyResult, required)
- `url` (string, optional) — API endpoint URL

## Errors

### 404 List Business Policy Results Request Not Found Error

business not found

- `errors` (list of ErrorResponseErrorsItem, required)

## Types

### PolicyResult

- `object` (string, optional)
- `id` (string, optional) — Policy result ID
- `result` (string, optional) — Policy result outcome
- `created_at` (string, optional) — Creation timestamp
- `matched` (string, optional, nullable) — Match status
- `executed` (boolean, optional) — Execution status
- `name` (string, optional, nullable) — Policy name
- `details` (map from string to any, optional) — Additional details
- `owner_id` (string, optional) — Owner ID
- `owner_type` (string, optional) — Owner type
- `business_id` (string, optional) — Business ID
- `type_of` (string, optional) — Type of policy result
- `policy_action_results` (list of PolicyActionResult, optional)

### ErrorResponseErrorsItem

- `message` (string, required)
- `parameter` (string, optional) — Request parameter associated with the error, when applicable

### PolicyActionResult

- `object` (string, optional)
- `id` (string, optional) — Policy action result ID
- `details` (map from string to any, optional) — Action details
- `executed` (boolean, optional) — Execution status
- `policy_action` (PolicyActionResultPolicyAction, optional)

### PolicyActionResultPolicyAction

- `id` (string, optional) — Policy action ID
- `action_type` (string, optional) — Type of action
- `options` (map from string to any, optional) — Action options
- `policy_version_id` (string, optional) — Policy version ID

## Examples

**Response**

```json
{
  "object": "list",
  "data": [
    {
      "object": "policy_result",
      "id": "d0e1f2a3-b4c5-6789-3456-789abcdef012",
      "result": "result",
      "created_at": "2025-01-07T12:00:00.000Z",
      "matched": "matched",
      "executed": true,
      "name": "Business Verification Policy",
      "owner_id": "owner_id",
      "owner_type": "owner_type",
      "business_id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
      "type_of": "approve",
      "policy_action_results": [
        {
          "object": "policy_action_result",
          "id": "e1f2a3b4-c5d6-7890-4567-89abcdef0123",
          "details": {
            "key": "value"
          },
          "executed": true,
          "policy_action": {
            "id": "f2a3b4c5-d6e7-8901-5678-9abcdef01234",
            "action_type": "approve",
            "options": {
              "key": "value"
            },
            "policy_version_id": "a3b4c5d6-e7f8-9012-6789-abcdef012345"
          }
        }
      ]
    }
  ],
  "url": "url"
}
```

**SDK Code**

```python Policy results list
import requests

url = "https://api.middesk.com/v1/businesses/business_id/policy_results"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Policy results list
const url = 'https://api.middesk.com/v1/businesses/business_id/policy_results';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Policy results list
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.middesk.com/v1/businesses/business_id/policy_results"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Policy results list
require 'uri'
require 'net/http'

url = URI("https://api.middesk.com/v1/businesses/business_id/policy_results")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Policy results list
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.middesk.com/v1/businesses/business_id/policy_results")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Policy results list
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.middesk.com/v1/businesses/business_id/policy_results', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Policy results list
using RestSharp;

var client = new RestClient("https://api.middesk.com/v1/businesses/business_id/policy_results");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Policy results list
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.middesk.com/v1/businesses/business_id/policy_results")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```